Skip to content

Debug host

POST
/v1/hosts/{hostID}/command

Send debug commands to the dnclient running on a host.

Token scope required: hosts:debug

hostID
required
string
Example
host-24NVITKMNU3CYCEDNFWKAOBX7I
One of:
object
command
required

Begin a streaming logs session for a specified number of seconds, up to 10 minutes

string
Allowed values: StreamLogs
args
required
object
durationSeconds
required
number
<= 600
level
required
string
Allowed values: panic fatal error warning info debug

Successful operation. ‘StreamLogs’ will return a newline-delimited JSON stream, the rest return standard JSON.

object
data
required
One of:
string
Examples
{
"data": "{\"durationSeconds\":300,\"level\":\"info\",\"msg\":\"Log streaming session started\",\"time\":\"2024-07-15T14:45:38-04:00\"}\\n{\"handshake\":{\"stage\":1,\"style\":\"ix_psk0\"},\"level\":\"info\",\"localIndex\":1038004327,\"msg\":\"Handshake message sent\",\"remoteIndex\":0,\"time\":\"2024-07-15T14:45:43-04:00\",\"udpAddrs\":[{\"ip\":\"1.2.3.4\",\"port\":65535}],\"vpnIp\":\"100.100.0.2\"}"
}

The API key is missing, invalid or expired.

object
errors
required
Array<object>
object
code
required

A static name for the error type

string
message
required

A short human readable description of the error

string
path

Describes the variable missing or malformed

string
param

The query parameter the error relates to, such as filter.targetType

string
extra

Machine-readable details about the error. ERR_LIMIT_EXCEEDED errors carry limit and limitName.

object
limit

The maximum number of resources allowed

integer
limitName

The kind of resource the limit applies to

string
key
additional properties
any
Example
{
"errors": [
{
"code": "ERR_UNAUTHORIZED",
"message": "unauthorized"
}
]
}

The API key lacks a required scope.

object
errors
required
Array<object>
object
code
required

A static name for the error type

string
message
required

A short human readable description of the error

string
path

Describes the variable missing or malformed

string
param

The query parameter the error relates to, such as filter.targetType

string
extra

Machine-readable details about the error. ERR_LIMIT_EXCEEDED errors carry limit and limitName.

object
limit

The maximum number of resources allowed

integer
limitName

The kind of resource the limit applies to

string
key
additional properties
any
Examples

The API key lacks a required scope.

{
"errors": [
{
"code": "ERR_FORBIDDEN",
"message": "api key must support the following scopes: hosts:read"
}
]
}

Host not found

object
errors
required
Array<object>
object
code
required

A static name for the error type

string
message
required

A short human readable description of the error

string
path

Describes the variable missing or malformed

string
param

The query parameter the error relates to, such as filter.targetType

string
extra

Machine-readable details about the error. ERR_LIMIT_EXCEEDED errors carry limit and limitName.

object
limit

The maximum number of resources allowed

integer
limitName

The kind of resource the limit applies to

string
key
additional properties
any
Example
{
"errors": [
{
"code": "ERR_NOT_FOUND",
"message": "resource not found"
}
]
}

The organization has exceeded its API request rate limit. Retry the request after a short delay.

object
errors
required
Array<object>
object
code
required

A static name for the error type

string
message
required

A short human readable description of the error

string
path

Describes the variable missing or malformed

string
param

The query parameter the error relates to, such as filter.targetType

string
extra

Machine-readable details about the error. ERR_LIMIT_EXCEEDED errors carry limit and limitName.

object
limit

The maximum number of resources allowed

integer
limitName

The kind of resource the limit applies to

string
key
additional properties
any
Example
{
"errors": [
{
"code": "ERR_TOO_MANY_REQUESTS",
"message": "too many requests"
}
]
}